Counts occurrences of values. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [count], [countAs].<br>
> Similar: [count], [partition].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.countAs(x, [fm]);
// x:  an array
// fm: map function (v, i, x)
// --> Map {value => count}
```

```javascript
const array = require('extra-array');

var x = [1, 1, 2, 2, 4];
array.countAs(x);
// Map(3) { 1 => 2, 2 => 2, 4 => 1 }

var x = [1, 2, 3, 4];
array.countAs(x, v => v % 2);
// Map(2) { 1 => 2, 0 => 2 }
```

### references

- [List-Extra.count: elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#count)
- [_.countBy: lodash](https://lodash.com/docs/4.17.15#countBy)
- [count-iterable-values: @zeke](https://www.npmjs.com/package/count-iterable-values)

[:running:]: https://npm.runkit.com/@extra-array/count-as
[:package:]: https://www.npmjs.com/package/@extra-array/count-as
[:moon:]: https://www.npmjs.com/package/@extra-array/count-as.min
[:ledger:]: https://unpkg.com/@extra-array/count-as/
[count]: https://github.com/nodef/extra-array/wiki/count
[countAs]: https://github.com/nodef/extra-array/wiki/countAs
[:vhs:]: https://asciinema.org/a/332034
[partition]: https://github.com/nodef/extra-array/wiki/partition
